Bug 1262983 - python: Cannot compile pip module if installed libguestfs != pip guestfs version
python: Cannot compile pip module if installed libguestfs != pip guestfs version
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Depends On:
  Show dependency treegraph
Reported: 2015-09-14 15:46 EDT by Richard W.M. Jones
Modified: 2015-09-29 09:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-09-29 09:24:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2015-09-14 15:46:39 EDT
Description of problem:

The python bindings assume that the version of libguestfs they
will be compiled against is precisely the same version of libguestfs.
This is a fair assumption given that we bundle the python bindings
with libguestfs.

However it breaks when using the pip install method
where the version of libguestfs installed is not the
same as the version of the bindings -- in fact they could
be very different.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. On RHEL 7, check out libguestfs from git (ie. libguestfs will be
much newer than the RHEL 7 version)
2. Follow the instructions in the link above to build Python bindings.

Actual results:

Many compilation failures for functions, macros and structs that
don't exist.
Comment 1 Richard W.M. Jones 2015-09-15 09:55:21 EDT
Patches posted:

Note You need to log in before you can comment on or make changes to this bug.